On this page
No Headings
Last updated: June 4, 2026
Get started integrating the PayPal Commerce Platform by getting your API credentials and sandbox account information.
Your API credentials are a client ID and secret, which authenticate API requests from your account. While you're developing code, use these credentials when you test API calls in our sandbox (test) environment. You get these credentials from a REST API app in the Developer Dashboard.
To get these credentials:
Note: Live credentials are only available to approved marketplaces and platforms. If you are interested in becoming an approved marketplace or platform, fill out the PayPal Marketplaces and Platforms form. Without this approval, calling the PayPal Commerce Platform for Marketplaces and Platforms APIs with your live credentials results in the HTTP status code of 401 Unauthorized. Calling the PayPal Commerce Platform for Marketplaces and Platforms APIs with your sandbox credentials does not require approval.
The page displays your API credentials, including your client ID and secret.
Your access token authorizes you to use the PayPal REST API server. To call a REST API in your integration, exchange your client ID and secret for an access token.
You can make the API call in any programming language. The following sections explain how to get your access token using cURL or Postman.
Note: Platform App Type is only available in the United States, United Kingdom, Spain, Italy, France, Canada, and Australia. For other countries, first create a REST app. Then, contact PayPal for approval to access sandbox and go live.
Copy the following code and modify it.
curl -v POST https://api-m.sandbox.paypal.com/v1/oauth2/token \
-H "Accept: application/json" \
-H "Accept-Language: en_US" \
-u "CLIENT_ID:SECRET" \
-d "grant_type=client_credentials"CLIENT_ID to your client ID.SECRET to your secret.In the Postman app, complete the following:
https://api-m.sandbox.paypal.com/v1/oauth2/token as the request URL.grant_type.client_credentials.PayPal returns an access token and the number of seconds the access token is valid. When you make calls to a REST API, include the access token in the Authorization header with the designation as Bearer. Reuse the access token until it expires.
When your token expires, call the v1/oauth2/token method again to request a new token.
{
"scope": "https://uri.paypal.com/services/invoicing https://uri.paypal.com/services/disputes/read-buyer https://uri.paypal.com/services/payments/realtimepayment https://uri.paypal.com/services/disputes/update-seller https://uri.paypal.com/services/payments/payment/authcapture openid https://uri.paypal.com/services/disputes/read-seller https://uri.paypal.com/services/payments/refund https://api-m.paypal.com/v1/vault/credit-card https://api-m.paypal.com/v1/payments/.* https://uri.paypal.com/payments/payouts https://api-m.paypal.com/v1/vault/credit-card/.* https://uri.paypal.com/services/subscriptions https://uri.paypal.com/services/applications/webhooks",
"access_token": "A21AAFEpH4PsADK7qSS7pSRsgzfENtu-Q1ysgEDVDESseMHBYXVJYE8ovjj68elIDy8nF26AwPhfXTIeWAZHSLIsQkSYz9ifg",
"token_type": "Bearer",
"app_id": "APP-80W284485P519543T",
"expires_in": 31668,
"nonce": "2020-04-03T15:35:36ZaYZlGvEkV4yVSz8g6bAKFoGSEzuy3CQcz3ljhibkOHg"
}Use your sandbox accounts to test purchases without affecting real money. For example, when you initiate a purchase through a sandbox account, PayPal creates a test purchase that simulates a purchase in the live environment.
To test purchases, you need login information for your personal and business sandbox accounts. To get that account information:
Once you have your sandbox login information, use your sandbox to test the result of API calls while you're developing. With your login, you can:
Here are the codes and credentials you use when integrating and testing your integration:
| Item | Description | How to find |
|---|---|---|
Client ID (sandbox) | Used to generate the access token required to make PayPal API calls in sandbox. | with your PayPal account. Under the DASHBOARD menu, select My Apps & Credentials. |
Client ID (live) | Used to generate the access token required to make PayPal API calls in production. | with your PayPal account. Under the DASHBOARD menu, select My Apps & Credentials. Select the Live tab. Note: Live credentials are only available to approved marketplaces and platforms. If you are interested in becoming an approved marketplace or platform, fill out the PayPal Marketplaces and Platforms form. Without this approval, calling the PayPal Commerce Platform for Marketplaces and Platforms APIs with your live credentials results in the HTTP status code of 401 Unauthorized. Calling the PayPal Commerce Platform for Marketplaces and Platforms APIs with your sandbox credentials does not require approval. |
BN Code | Used in your API requests to identify the caller as a PayPal partner. Required for PayPal reporting. See PayPal-Partner-Attribution-Id for more information. | with your PayPal account. Under the DASHBOARD menu, select My Apps & Credentials. Select your app. Under APP SETTINGS, view BN code. |
partner-merchant-id | The partner merchant id or payer ID is a unique identifier assigned to every PayPal account. This value does not change over the life of the PayPal account. You need a PayPal account for yourself (which has one payer ID), and each of your sellers need their own PayPal accounts (which have their own unique payer IDs). | with your PayPal account. In the Developer Dashboard, under SANDBOX, select Accounts. Under Account Name, find your sandbox account. Under Manage Accounts, select the (...) button for your account. Select View/Edit Account to display your account ID. |
seller-merchant-id | The seller's payer ID associated with their merchant PayPal account. You find this value the same way you find the partner-merchant-id. | with your PayPal account. In the Developer Dashboard, under SANDBOX, select Accounts. Under Account Name, find your sandbox account. Under Manage Accounts, select the (...) button for your account. Select View/Edit Account to display your account ID. |
You can now use your API credentials and sandbox account information to start your integration.
Note: For partners, please fill out this form to gain access to live API credentials and a representative will be in touch shortly to assist you.